import java.io.*;
import java.net.*;

public class televisor {  
	private static int pVotacion, voto;
	private static String hostName;
	
   public static void main(String[] args){  
      try {  
			//Verificamos la sintaxis
  	 		if (args.length != 3) {
    			System.out.print("Usar: java televisor <servidor_acumulador>");
				System.out.println(" <puerto_votacion> <opcion_seleccionada>");
    			System.exit(1);
    		}
			//Asignamos los argumentos como parametros.
	 		hostName = args[0];
	 		pVotacion = Integer.parseInt(args[1]);
	 		voto = Integer.parseInt(args[2]);

  			if((voto < 0) || (voto > 5)) {
    			System.out.println("<opcion_seleccionada> debe encontrarse entre 0 y 5");
   			System.exit(1);
  			}
  
		   Socket s = new Socket(hostName, pVotacion);
			System.out.print("Connected to TCP/Server: "+s.getInetAddress().getLocalHost().getHostName());
			System.out.println(" ("+s.getInetAddress().getLocalHost().getHostAddress()+":"+s.getPort()+")");
		
         PrintWriter out = new PrintWriter(s.getOutputStream(), true);
			System.out.println("Enviando: "+voto+" ...DONE");
			out.println(voto);
			
			s.close();//Cerramos la conexion.
			
      } catch (ConnectException e) {
			System.out.println("Ingrese un Servidor existente."); 
		} catch (UnknownHostException e) {
			System.out.println("Ingrese un Servidor existente."); 
		} catch (IOException e) {  
         e.printStackTrace();
      } catch (Exception e) {		
		} 
   }
}