import java.io.*;
import java.net.*;
import java.text.*;

public class monitor {  
	private static int pMonitor;
	private static String hostName;
	public static int NPREF = 6; //desde cero hasta el cinco (incluidos)
   public static void main(String[] args){  
      try {  
			//Verificamos la sintaxis
  	 		if (args.length != 2) {
    			System.out.println("Usar: java monitor <servidor_acumulador> <puerto_monitor>");
    			System.exit(1);
    		}
			//Asignamos los argumentos como parametros.
	 		hostName = args[0];
	 		pMonitor = Integer.parseInt(args[1]);

		   Socket s = new Socket(hostName, pMonitor);
			System.out.print("Connected to TCP/Server: "+s.getInetAddress().getLocalHost().getHostName());
			System.out.println(" ("+s.getInetAddress().getLocalHost().getHostAddress()+":"+s.getPort()+")");
		
			BufferedReader in = new BufferedReader(new InputStreamReader(s.getInputStream()));
			String line = in.readLine();//Bloqueados hasta obtener los resultados
	
			//Creamos el arreglo de votos
 			int[] voto = new int[NPREF]; //votaciones en cero al iniciar.
			int total = 0;
			
			//Dividimos el string recibido en un arreglo de enteros
			String[] temp = line.split("\\s+");
	      for(int i =0; i < temp.length ; i++) { 
            voto[i]=Integer.parseInt(temp[i]);
				total+=voto[i];
			}

			//Imprimimos el arreglo de manera formateada y con la informacion estadistica.
			if (total == 0) total=1;
			System.out.println("\n| \top \t| \tpref \t| \t%\t |");
			for(int i =0; i < voto.length ; i++)
				System.out.println("| \t"+i+"\t|  \t"+voto[i]+"\t| \t"+100*voto[i]/total+"\t |");

			s.close();//Cerramos la conexion.
			
      }catch (ConnectException e) {
			System.out.println("Ingrese un Servidor existente."); 
		} catch (UnknownHostException e) {
			System.out.println("Ingrese un Servidor existente."); 
		} catch (IOException e) {  
         e.printStackTrace();
      } catch (Exception e) {		
		} 
		
   }
}

