import java.io.*;
import java.net.*;
import java.util.*;

public class testEsfuerzo {
  private static int pVotacion, nClientes;
  public static int NPREF = 6; //desde cero hasta el cinco (incluidos)
  private static String hostName;
	
  public static void main (String args[]) {
   //Verificamos la sintaxis
	if (args.length != 3) {
 		System.out.print("Usar: java testEsfuerzo <servidor_acumulador>");
		System.out.println(" <puerto_votacion> <n_clientes_simulados>");
  		System.exit(1);
  	}
 
	//Asignamos los argumentos como parametros.
	hostName = args[0];
	pVotacion = Integer.parseInt(args[1]);
	nClientes = Integer.parseInt(args[2]);
	
	try {
		//Arreglo de hebras
  		List threads = new ArrayList();
  		for (int i = 0; i < nClientes; i++) {
			//Servidor de votacion
			Thread t = new ThreadVotacioon(hostName, pVotacion); //parametros al constructor 
			t.start(); //Iniciamos la hebra	
      	threads.add(t); //La agregamos al arreglo
		}
  		for (int i = 0; i <threads.size(); i++) {
   		((Thread)threads.get(i)).join(); //Esperamos a cada hebra.
   	}
	} catch (Exception e) {		
	}

   System.exit(0);
  }
}

class ThreadVotacioon extends Thread {
	private int pVotacion,voto;
	private String hostName;

	public ThreadVotacioon(String hostName, int pVotacion) {
		this.hostName = hostName;
		this.pVotacion = pVotacion;
	}
		
	public void run() {
		try {			
		   Socket s = new Socket(hostName, pVotacion);
		
         PrintWriter out = new PrintWriter(s.getOutputStream(), true);
			voto = (int)(Math.random()*testEsfuerzo.NPREF);
			System.out.println("Enviando: "+voto+" ...DONE");
			out.println(voto);
			
		} catch (ConnectException e) {
			System.out.println("Ingrese un Servidor existente."); 
		} catch (Exception e) {		
		}		
	}
}